Loading...
Searching...
No Matches
EST_WFST_State Class Reference

`#include <include/EST_WFST.h>`

Collaboration diagram for EST_WFST_State:
[legend]

## Public Member Functions

| EST_WFST_State (int name)
| EST_WFST_State (const EST_WFST_State &state)
EST_WFST_Transition * | add_transition (float w, int end, int in, int out)
int | name () const
int | num_transitions () const
enum wfst_state_type | type () const
void | set_type (wfst_state_type t)
void | set_tag (int v)
int | tag () const

## Public Attributes

wfst_translist | transitions

## Detailed Description

an internal class for \Ref{EST_WFST} used to represent a state in a WFST

Definition at line 96 of file EST_WFST.h.

## Constructor & Destructor Documentation

## EST_WFST_State() [1/2]

EST_WFST_State::EST_WFST_State | ( | int | name | ) |

Definition at line 72 of file EST_WFST.cc.

## EST_WFST_State() [2/2]

EST_WFST_State::EST_WFST_State | ( | const EST_WFST_State & | state | ) |

Definition at line 79 of file EST_WFST.cc.

## ~EST_WFST_State()

EST_WFST_State::~EST_WFST_State | ( |  | ) |

Definition at line 90 of file EST_WFST.cc.

## Member Function Documentation

## add_transition()

EST_WFST_Transition * EST_WFST_State::add_transition | ( | float | w,
|  | int | end,
|  | int | in,
|  | int | out )

Definition at line 99 of file EST_WFST.cc.

## name()

int EST_WFST_State::name | ( |  | ) | const

inline

Definition at line 112 of file EST_WFST.h.

## num_transitions()

int EST_WFST_State::num_transitions | ( |  | ) | const

inline

Definition at line 113 of file EST_WFST.h.

## type()

enum wfst_state_type EST_WFST_State::type | ( |  | ) | const

inline

Definition at line 114 of file EST_WFST.h.

## set_type()

void EST_WFST_State::set_type | ( | wfst_state_type | t | ) |

inline

Definition at line 115 of file EST_WFST.h.

## set_tag()

void EST_WFST_State::set_tag | ( | int | v | ) |

inline

Definition at line 116 of file EST_WFST.h.

## tag()

int EST_WFST_State::tag | ( |  | ) | const

inline

Definition at line 117 of file EST_WFST.h.

## Member Data Documentation

## transitions

wfst_translist EST_WFST_State::transitions

Definition at line 102 of file EST_WFST.h.

The documentation for this class was generated from the following files:

- include/EST_WFST.h
- grammar/wfst/EST_WFST.cc